# Описание charts SEMNEXT

Chart является основным пакетом, который включает в себя другие связанные пакеты, зависящие друг от друга при развертывании инстанса.

Зависимости chart указаны в файле Charts.yaml.

Описание собственных параметров пакета (файл value.yaml)

| Параметр | Значение в value.yaml | Коммментарии |
|----------|-----------------------|--------------|
| images.webservices_repository| registry.infsys.ru/iss/semona-webservices| образ webservices |
| images.webservices_repository| registry.infsys.ru/iss/semona-webservices| образ webservices |
| images.engine_repository|registry.infsys.ru/iss/semona-engine| образ engine |
| images.periodic_repository|registry.infsys.ru/iss/semona-periodic| образ periodic |
| images.tag | develop | тег для всех контейнеров semona |
| images.semux_repository| registry.infsys.ru/iss/semux | образ web приложения |
| images.tag_semux | 2.8 | тег для контейнеров semux |
| images.pullPolicy | IfNotPresent | иногда полезно ставить Always, не всегда измененные контейнеры имеют новый тег :) |
| replicaCount.webservices| 2 | количество реплик в инстансе компонента webservices |
| replicaCount.engine| 2 | количество реплик в инстансе компонента engine |
| replicaCount.periodic | 1 | количество реплик в инстансе компонента periodic |
| replicaCount.semux| 1 | количество реплик в инстансе компонента semux (web приложение) |
| updateStrategy    | RollingUpdate | стратегия обновления компонент|
| rollingUpdatePartition | null | не используется |
| persistence.enabled | true | задает неодходимость создать pvc для тома /files |
| persistence.path | /files |  том /files для хранения контента (иконки, изображения) |
| persistence.storageClass | null | не используем, но если требуется использовать диск опреленного класса - следует задать |
| persistence.accessModes | ReadWriteOnce | режим чтения/записи тома |
| persistence.size | 1Gb | размер тома|
| persistence.matchExpressions | null | не используется. |
| ingress.enabled | false | поднимать ли ingress для инстанса. Для использования ingress предварительно необходимо завести dns запись |
| ingress.hostname| example.local | запись dns хоста для инстанса |
| ingress.certManager | false | при true будет использован манифест объектов *ClusterIssue, Certificate* cert-manager |
| ingress.tls | false | при true в аннотации ingress добавляются записи по прокси протоколу https->http и подключается секция с secret |
| ingress.secret.name | null | заполняется только в том случае, если certManager=false, tls=true |
| ingress.secret.key | null | заполняется только в том случае, если certManager=false, tls=true |
| ingress.secret.certificate | null | заполняется только в том случае, если certManager=false, tls=true |
| nodeSelector | null | по умолчанию не задан |
| tolerations | null | по умолчанию не задан |
| affinity | null | по умолчанию не задан |

В проекте созданы два файла с настройками для сред K8 в ИСС и DataLine
*  develop.yaml - содержит настройки глобальных параметров и всех компонент для развертывания на внутреннем кластере K8 в ИСС
*  dataLine.yaml - содержит настройки глобальных параметров и всех компонент для развертывания на K8 в dataLine
  
Можно создать собственный файл на базе value.yaml или одного из настроечных, и выполнять развертывание инстанса со своими парамтерами: 

`helm install <имя инстанса> [-f <имя файла yaml >] sem-next/semnext -n <имя namespace>`  , где

* <имя инстанса> - любое имя. имя инстанса будет участвовать в формирвоании имен Pod-ов b services
* <имя файла yaml > - путь к файлу с начальными значениями
* sem-next - репозиторий, предварительно подключенный (см. описание на первой странице проекта)
* semnext - имя пакета 

Пример: 
`helm install test -f ./develop.yaml sem-next/semnext -n development`

При изменении начальных значений необхдимо провести upgrade инстанса: 

`helm upgrade <имя инстанса> [-f <имя файла yaml >] sem-next/semnext -n <имя namespace>`

Удаление инстанса выполняется командой: 

`helm uninstall <имя инстанса> -n <имя namespace>`

