{{/*
Полное имя приложения создается по правилу <имя helm-charts>-<имя инстанса>
<Имя инстанса> = Release.Name
*/}}
{{- define "semux.fullname" -}}
{{- printf "%s-%s" .Chart.Name .Release.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Полное имя для сервиса semona
<Имя инстанса> = Release.Name
*/}}
{{- define "semux.semona-fullname" -}}
{{- printf "%s-%s" "webservices" .Release.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
 метка semux
*/}}
{{- define "semux.labels" -}}
app.kubernetes.io/instance: {{ .Release.Name }}
app.kubernetes.io/name: {{ .Chart.Name }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
app.kubernetes.io/component: semux
{{ include "semux.selectorLabels" . }}
{{- end }}

{{/*
Selector semux
*/}}
{{- define "semux.selectorLabels" -}}
app: {{ include "semux.fullname" . }}
run: semux
{{- end }}
